=== test/CMakeLists.txt ===

set(CTEST_OUTPUT_ON_FAILURE 1)

add_test(NAME test_depths
         COMMAND ${CMAKE_BINARY_DIR}/src/jgi_summarize_bam_contig_depths --referenceFasta ${CMAKE_CURRENT_SOURCE_DIR}/contigs.fa --outputDepth ${CMAKE_BINARY_DIR}/contigs_depth.txt ${CMAKE_CURRENT_SOURCE_DIR}/contigs-1000.fastq.bam
        )

add_test(NAME test_metabat1
         COMMAND ${CMAKE_BINARY_DIR}/src/metabat1 --inFile ${CMAKE_CURRENT_SOURCE_DIR}/contigs.fa --abdFile ${CMAKE_BINARY_DIR}/contigs_depth.txt --outFile ${CMAKE_BINARY_DIR}/contigs_bins -v
        )

add_test(NAME test_metabat2
         COMMAND ${CMAKE_BINARY_DIR}/src/metabat2 --inFile ${CMAKE_CURRENT_SOURCE_DIR}/contigs.fa --abdFile ${CMAKE_BINARY_DIR}/contigs_depth.txt --outFile ${CMAKE_BINARY_DIR}/contigs_bins -v
        )
