=== debian/changelog ===
metabat (2.15-4) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Sep 2022 18:15:48 +0200

metabat (2.15-3) unstable; urgency=medium

  * Restrict Architecture: any-amd64 any-i386 x32
    Closes: #976528
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2020 21:40:34 +0100

metabat (2.15-2) unstable; urgency=medium

  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jul 2020 10:35:24 +0200

metabat (2.15-1) unstable; urgency=medium

  * Initial release (Closes: #961946)

 -- Andreas Tille <tille@debian.org>  Sun, 31 May 2020 23:08:58 +0200
