=== debian/watch ===
version=4

opts="mode=git,gitmode=full,dversionmangle=auto" \
  https://bitbucket.org/berkeleylab/metabat.git refs/tags/v([\d\.\d]+)

# https://bitbucket.org/berkeleylab/metabat/downloads/?tab=tags .*/@PACKAGE@/get/v@ANY_VERSION@\.tar\.gz
