=== src/CMakeLists.txt ===
--- 
+++ 
@@ -36,8 +36,10 @@
 foreach(target ${targets})
 
    add_executable(${target} ${target}.cpp)
-   add_dependencies(${target} htslib zlib check_git_repository)
-   target_link_libraries(${target} ${zlib_LIB} ${Boost_LIBRARIES} ${EXTRALIBS} ) 
+   if(NOT "${EXTRA_DEPENDENCIES}" STREQUAL "")
+     add_dependencies(${target} ${EXTRA_DEPENDENCIES})
+   endif()
+   target_link_libraries(${target} ${ZLIB_LIBRARIES} ${Boost_LIBRARIES} ${EXTRALIBS} MetaBAT_VERSION_LIB) 
 
 endforeach()
 
@@ -48,8 +50,10 @@
 set(targets jgi_summarize_bam_contig_depths contigOverlaps)
 foreach(target ${targets})
    add_executable(${target} ${target}.cpp)
-   add_dependencies(${target} htslib zlib check_git_repository)
-   target_link_libraries(${target} ${htslib_LIB} ${zlib_LIB} ${Boost_LIBRARIES} ) 
+   if (NOT "${EXTRA_DEPENDENCIES}" STREQUAL "")
+     add_dependencies(${target} ${EXTRA_DEPENDENCIES})
+   endif()
+   target_link_libraries(${target} ${HTSlib_LIBRARIES} ${ZLIB_LIBRARIES} ${Boost_LIBRARIES} MetaBAT_VERSION_LIB) 
 endforeach()
