=== debian/changelog ===
metabat (2.18-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Add python3 explicitly to Depends
  * Fix build with CMake 4
    Closes: #1113279
  * d/watch: version=5
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * No need to patch CMakeLists.txt any more which since configuration
    by variables enables using local libs
  * d/copyright: review

  [ Étienne Mollier ]
  * d/rules: do not parallelize dh_auto_test.
    The test suite produces artifacts used at later stages which are not
    properly declared as `make` targets, causing random test failures.
  * d/control: depend on dh-sequence-python3.
  * d/lintian-overrides: fix file extension override.

 -- Andreas Tille <tille@debian.org>  Sun, 19 Oct 2025 17:02:22 +0200
