=== debian/control ===
Source: metabat
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 cmake,
 libboost-graph-dev,
 libboost-system-dev,
 libboost-filesystem-dev,
 libboost-serialization-dev,
 libboost-program-options-dev,
 libboost-iostreams-dev,
 zlib1g-dev,
 libhts-dev,
 pkgconf,
 python3,
Vcs-Browser: https://salsa.debian.org/med-team/metabat
Vcs-Git: https://salsa.debian.org/med-team/metabat.git
Homepage: https://bitbucket.org/berkeleylab/metabat/wiki/Home
Rules-Requires-Root: no

Package: metabat
Architecture: any-amd64 any-i386 x32
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 python3,
Description: robust statistical framework for reconstructing genomes from metagenomic data
 MetaBAT integrates empirical probabilistic distances of genome abundance
 and tetranucleotide frequency for accurate metagenome binning. MetaBAT
 outperforms alternative methods in accuracy and computational efficiency
 on both synthetic and real metagenome datasets. It automatically forms
 hundreds of high quality genome bins on a very large assembly consisting
 millions of contigs in a matter of hours on a single node.
