=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DMETABAT_USE_SYSTEM_ZLIB=1 -DMETABAT_USE_SYSTEM_HTSLIB=1 -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cp -a test/contigs_depth.txt obj-$(DEB_BUILD_GNU_TYPE)
	dh_auto_test --no-parallel
endif

override_dh_install:
	dh_install
	for perlscript in `grep -l '#!/usr/bin/env \+perl' debian/*/usr/bin/*` ; do \
	    sed -i '1s+#!/usr/bin/env perl+#!/usr/bin/perl+' $${perlscript} ; \
	done

override_dh_installman:
	dh_installman --language=C
