=== debian/watch ===
Version: 5

Source: https://bitbucket.org/berkeleylab/metabat
Matching-Pattern: refs/tags/v(\d[.\d]+)
Git-Mode: full
Mode: git
